Ubuntu: Trouble updating drivers on my AWUS036H USB wireless card



Question:

I am following this guide to update my Alfa card to the latest drivers. When I run the make command I get multiple errors.


Solution:1

You do not need any drivers for your wireless dongle. They are already included in Linux kernel.

You tried to install a very old driver that was needed when kernel did not support this device out of the box.

That old driver will not build for new kernels anyway.


Solution:2

It seems there are some sintax errors, maybe a dot or dot-comma symbol is missing in the file, error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rtl8187_usb_probe’ . As in any programming file, the problem could be near the beginning of the file.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »